Returns all absence regions.

GEThttps://api.awork.com/api/v1/absenceregions
GET https://api.awork.com/api/v1/absenceregions

Returns all absence regions with their public holiday details.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the absence region, as specified by the user. It must be unique within the workspace.

countryCodestring or nullOptional

The country code of the absence region. It must be a valid ISO 3166-1 alpha-2 country code.

countrystring or nullOptional

The english name of the country.

locationCodestring or nullOptional

The location code of the absence region. It should be a valid ISO 3166-2 country subdivision code.

locationstring or nullOptional

The name of the location. It will always be in the related country's language.

isDefaultbooleanOptional

Indicates whether the absence region is the default absence region. Any new user will be assigned to the default absence region.

numberOfPublicHolidaysintegerOptional
format: int32

The number of public holidays in the absence region.

assignedUsersarray of string or nullOptional

The list of user ids assigned to the absence region.

Search documentation